Package org.apache.tomcat.jni

# Class Sockaddr

java.lang.Object
org.apache.tomcat.jni.Sockaddr

@Deprecated public class Sockaddr extends Object
Deprecated.
The scope of the APR/Native Library will be reduced in Tomcat 9.1.x / Tomcat Native 2.x and has been reduced in Tomcat 10.1.x / Tomcat Native 2.x onwards to only include those components required to provide OpenSSL integration with the NIO and NIO2 connectors.
Sockaddr

Author:
  Mladen Turk

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`family`
Deprecated.
The family
`String`
`hostname`
Deprecated.
The hostname
`long`
`next`
Deprecated.
If multiple addresses were found by apr_sockaddr_info_get(), this points to a representation of the next address.
`long`
`pool`
Deprecated.
The pool to use...
`int`
`port`
Deprecated.
The numeric port
`String`
`servname`
Deprecated.
Either a string of the port number or the service name for the port

## Constructor Summary

Constructors
Constructor
Description
`Sockaddr()`
Deprecated.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pool

public long pool
Deprecated.
The pool to use...

### hostname

public String hostname
Deprecated.
The hostname

### servname

public String servname
Deprecated.
Either a string of the port number or the service name for the port

### port

public int port
Deprecated.
The numeric port

### family

public int family
Deprecated.
The family

### next

public long next
Deprecated.
If multiple addresses were found by apr_sockaddr_info_get(), this points to a representation of the next address.

## Constructor Details

### Sockaddr

public Sockaddr()
Deprecated.